DEFINITIONS
/* This Library DEFINITION file provides a convenient access to the ProB
   external functions for JSON Manipulations */
/* Include it into your machine by writing
  DEFINITIONS
      "LibraryJSON.def"
  SEES LibraryJSON
*/
  EXTERNAL_FUNCTION_READ_JSON == STRING --> JsonValue;
  READ_JSON(file) == JsonNull;

  EXTERNAL_FUNCTION_READ_JSON_FROM_STRING == STRING --> JsonValue;
  READ_JSON_FROM_STRING(contents) == JsonNull;

  EXTERNAL_PREDICATE_WRITE_JSON == JsonValue * STRING;
  WRITE_JSON(json, file) == (1=1);

  EXTERNAL_FUNCTION_WRITE_JSON_TO_STRING == JsonValue --> STRING;
  WRITE_JSON_TO_STRING(json) == ""
